#!/bin/bash


whoiam=`id | cut -c1-5`
if [ "${whoiam}x" != "uid=0x" ]
then
  echo "Error: you need to be root."
  exit 1
fi

echo
echo "Searching for NTFS partition with exFAT .."
dev=`sfdisk -l 2>/dev/null | grep "NTFS" | grep "exFAT" | cut -c1-8`
if [ "${dev}" != "/dev/sdx" ]
then
  echo "Warning: NTFS volume is not at /dev/sdx!"
  echo
  echo "Searching for W95 partition with FAT32 .."
  dev=`sfdisk -l 2>/dev/null | grep "W95" | grep "FAT32" | cut -c1-8`
  if [ "${dev}" != "/dev/sdx" ]
  then
    echo "Error: W95 FAT32 volume is not at /dev/sdx!"
    exit 1
  else
    echo "Found."
  fi
else
  echo "Found."
fi
if [ "${dev}" != "/dev/sdx" ]
then
  echo
  echo "I'm out."
  exit 2
fi
echo
echo "About to overwrite ${dev} <-- you sure? [enter twice for ok]"
read line
read line
echo "Writing ./ubuntu-18.04.3-4.14-minimal-odroid-xu4-20190910.img to ${dev} .."
dd if=./ubuntu-18.04.3-4.14-minimal-odroid-xu4-20190910.img of=${dev} bs=512
echo "Done."
echo "sync .."
sync
echo "Done."

