#!/bin/bash

image="./ubuntu-18.04.3-4.14-minimal-odroid-xu4-20190910.img"
partition=2
mountpoint="/tmp/prefix-$$"
mountpart="./mount-part.sh"

if [ -d "${mountpoint}" ]
then
  echo "${0}: Error mount-point ${mountpoint} exists"
  exit 1
fi
if [ ! -x "${mountpart}" ]
then
  echo "${0}: Error mount partition script ${mountpart} is not executable"
  exit 1
fi

mkdir -p "${mountpoint}"
"${mountpart}" "${image}" ${partition} "${mountpoint}"
if [ ${?} -ne 0 ]
then
  echo "${0}: Error mount partition failed"
  rmdir "${mountpoint}"
  exit 1
fi

rm "${mountpoint}/usr/bin/unattended-upgrades"
rm "${mountpoint}/usr/bin/unattended-upgrade"
rm "${mountpoint}/etc/rc0.d/K01unattended-upgrades"
rm "${mountpoint}/etc/rc2.d/S02unattended-upgrades"
rm "${mountpoint}/etc/rc3.d/S02unattended-upgrades"
rm "${mountpoint}/etc/rc4.d/S02unattended-upgrades"
rm "${mountpoint}/etc/rc5.d/S02unattended-upgrades"
rm "${mountpoint}/etc/rc6.d/K01unattended-upgrades"
rm "${mountpoint}/etc/init.d/unattended-upgrades"
rm "${mountpoint}/etc/pm/sleep.d/10_unattended-upgrades-hibernate"
rm "${mountpoint}/etc/kernel/postinst.d/unattended-upgrades"
rm "${mountpoint}/etc/systemd/system/multi-user.target.wants/unattended-upgrades.service"

umount "${mountpoint}"
rmdir "${mountpoint}"
if [ -d "${mountpoint}" ]
then
  echo "${0}: Error unable to remove mount-point ${mountpoint}"
  exit 1
fi

exit 0
